Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159615 - cman schedules within spinlock
Summary: cman schedules within spinlock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL: https://www.redhat.com/archives/linux...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 03:46 UTC by David Teigland
Modified: 2009-04-16 19:59 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-734
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:46:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:734 normal SHIPPED_LIVE cman-kernel bug fix update 2005-10-07 04:00:00 UTC

Description David Teigland 2005-06-06 03:46:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Cman barrier callback into SM schedules within spinlock.
The schedule is hidden within the SM_RETRY/kmalloc macro
which doesn't make sense anyway when using GFP_ATOMIC.

I don't think we've actually seen this cause a problem
apart from the warning message, but the potential of
deadlocking the kernel obviously exists.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use cman
2.
3.
  

Additional info:

Comment 1 Christine Caulfield 2005-06-28 13:15:25 UTC
This was fixed on the RHEL4 branch on 2005/06/06

Comment 3 Red Hat Bugzilla 2005-10-07 16:46:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-734.html



Note You need to log in before you can comment on or make changes to this bug.